@echo off
set subdir=%1
if "%subdir%"=="" set subdir=.

if not exist doom1.wad goto error1
if not exist %subdir%\01-blstr.voc goto error2

if not exist doom1.ori copy doom1.wad doom1.ori

dmaud 01 -s %subdir%\01-BLSTR.VOC
if errorlevel 1 goto error3
dmaud 02 -s %subdir%\02-SABER.VOC
dmaud 03 -s %subdir%\03-SABZZ.VOC
dmaud 04 -s %subdir%\04-PACST.VOC
dmaud 05 -s %subdir%\05-PACID.VOC
dmaud 06 -s %subdir%\06-PACDT.VOC
dmaud 07 -s %subdir%\07-PACKL.VOC
dmaud 08 -s %subdir%\08-SHTUP.VOC
dmaud 09 -s %subdir%\09-JOY.VOC
dmaud 10 -s %subdir%\10-PHOTN.VOC
dmaud 12 -s %subdir%\12-WTSUP.VOC
dmaud 13 -s %subdir%\13-DOC.VOC
dmaud 14 -s %subdir%\14-GOAH.VOC
dmaud 15 -s %subdir%\15-MYDAY.VOC
dmaud 16 -s %subdir%\16-DRUM.VOC
dmaud 17 -s %subdir%\17-FASCN.VOC
dmaud 18 -s %subdir%\18-MAKIT.VOC
dmaud 19 -s %subdir%\19-WHOA.VOC
dmaud 20 -s %subdir%\20-IMPRE.VOC
dmaud 21 -s %subdir%\21-UGGH.VOC
dmaud 22 -s %subdir%\22-SLIME.VOC
dmaud 23 -s %subdir%\23-NI.VOC
dmaud 24 -s %subdir%\24-INTNS.VOC
dmaud 26 -s %subdir%\26-OHYAH.VOC
dmaud 27 -s %subdir%\27-LUKE.VOC
dmaud 28 -s %subdir%\28-GIVE.VOC
dmaud 29 -s %subdir%\29-DKSD.VOC
dmaud 30 -s %subdir%\30-MISTK.VOC
dmaud 31 -s %subdir%\31-OBSTR.VOC
dmaud 32 -s %subdir%\32-GETU.VOC
dmaud 33 -s %subdir%\33-NOWU.VOC
dmaud 34 -s %subdir%\34-PROBL.VOC
dmaud 35 -s %subdir%\35-HEYBD.VOC
dmaud 36 -s %subdir%\36-BOGUS.VOC
dmaud 37 -s %subdir%\37-TIME.VOC
dmaud 38 -s %subdir%\38-TODIE.VOC
dmaud 39 -s %subdir%\39-GAAH.VOC
dmaud 40 -s %subdir%\40-GOTTA.VOC
dmaud 41 -s %subdir%\41-CROOK.VOC
dmaud 42 -s %subdir%\42-NOSIR.VOC
dmaud 43 -s %subdir%\43-KSICK.VOC
dmaud 44 -s %subdir%\44-BRTHE.VOC
dmaud 45 -s %subdir%\45-EARND.VOC
dmaud 46 -s %subdir%\46-ATTEN.VOC
dmaud 48 -s %subdir%\48-EXCEL.VOC
goto end

:error1
echo Can't find doom1.wad
goto end
:error2
echo Can't find voc files (eg %subdir%\01-blstr.voc)
goto end
:error3
echo Can't run dmaud (doom audio) program
:end
